<h2 align="center">
<a href="https://docs.danswer.dev/"> <img width="50%" src="https://github.com/danswer-owners/danswer/blob/1fabd9372d66cd54238847197c33f091a724803b/DanswerWithName.png?raw=true)" /></a>
</h2>

<p align="center">
<p align="center">OpenSource Enterprise Question-Answering</p>

<p align="center">
<a href="https://join.slack.com/t/danswer/shared_invite/zt-1u5ycen3o-6SJbWfivLWP5LPyp_jftuw" target="_blank">
    <img src="https://img.shields.io/badge/slack-join-blue.svg?logo=slack" alt="Slack">
</a>
<a href="https://github.com/ai-sidekick/sidekick/blob/main/LICENSE" target="_blank">
    <img src="https://img.shields.io/static/v1?label=license&message=MIT&color=blue" alt="License">
</a>
</p>

[Danswer](https://docs.danswer.dev/) allows you to ask natural language questions against internal documents and get back reliable answers backed by quotes and references from the source material so that you can always trust what you get back. You can connect to a number of common tools such as Slack, GitHub, Confluence, amongst others.  



## 💃 Features
* Direct QA powered by Generative AI models with answers backed by quotes and source links.
* Intelligent Document Retrieval (Semantic Search/Reranking) using the latest LLMs.
* User authentication with document level access management.
* Management Dashboard to manage connectors and set up features such as live update fetching.
* Connectors to Slack, GitHub, GoogleDrive, Confluence, and Web scrapping, with more to come.
* One line Docker Compose deployment of all services to host Danswer anywhere.

## Upcoming
* Chat/Conversation support.
* Support for custom endpoints for Generative AI models or even self-host options.
* Custom Deep Learning NLP model to classify user intent to customize prompts for code generation, summarization, etc.
* Templates to easily build custom connectors.
